Upload bulk file

This endpoint enables you to manage the upload of bulk files along with their corresponding signature data in the request header.

Detailed flow:

  1. The client sends a request with the bulk file as the body and signature in the Signature header. The signature header is formatted as keyId="{key_id}",signature="{signature_base64}". The parameters key_id and signature_base64 are specified in the parameters section.
  2. The server processes the request and responds with a 200 OK status, indicating the file upload request is complete.

For detailed instructions, refer to File signature and encryption.

Note: Pismo reserves the right to offer this endpoint only for single-tenant clients, reach out to your Pismo representative for more information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of the bulk payment file. This ID is client-generated.

Body Params

Bulk file data.

Headers
string
required

The Signature header includes two fields: keyId and signature. The keyId represents the public key ID used to verify the request, while signature contains the the base64-encoded cryptographic signature of the request body, created using the private key associated with the keyId.

Responses

401

Access token is missing or invalid

403

The request has been lost

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json